> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04a-foundry-api/users.md).

# Users

## Get Current User

> Retrieve the current authenticated user.

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/users/current":{"get":{"tags":["users"],"summary":"Get Current User","description":"Retrieve the current authenticated user.","operationId":"get_current_user_users_current_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"404":{"description":"Not found"}}}}},"components":{"schemas":{"UserResponse":{"properties":{"userId":{"type":"string","title":"Userid"},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"},"hasSeenQuickStart":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Hasseenquickstart"}},"type":"object","required":["userId"],"title":"UserResponse"}}}}
```

## Update Current User

> Update the current authenticated user.\
> All update fields are optional - only provided fields will be updated.

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/users/current":{"put":{"tags":["users"],"summary":"Update Current User","description":"Update the current authenticated user.\nAll update fields are optional - only provided fields will be updated.","operationId":"update_current_user_users_current_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"UpdateUserRequest":{"properties":{"hasSeenQuickStart":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Hasseenquickstart"}},"type":"object","title":"UpdateUserRequest"},"UserResponse":{"properties":{"userId":{"type":"string","title":"Userid"},"createdOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdon"},"updatedOn":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Updatedon"},"hasSeenQuickStart":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Hasseenquickstart"}},"type":"object","required":["userId"],"title":"UserResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
